# -*- coding: utf-8 -*-
## 
## Copyright (C)2005 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

"""
$Id: __init__.py 6251 2007-08-06 12:14:35Z glenfant $
"""
__docformat__ = 'restructuredtext'

__author__  = ''

import sys

from Globals import package_home
from Products.CMFCore import utils
from Products.CMFCore.permissions import ManagePortal
from Products.CMFCore.DirectoryView import registerDirectory

from Products.Archetypes.atapi import process_types, listTypes

from Products.PloneExFile.config import SKINS_DIR, GLOBALS, PROJECTNAME
from Products.PloneExFile import Permissions

import logging
LOG = logging.getLogger(PROJECTNAME)

registerDirectory(SKINS_DIR, GLOBALS)

def initialize(context):
    
    # Import types
    from Products.PloneExFile import ExFile

    content_types, constructors, ftis = process_types(
            listTypes(PROJECTNAME),
            PROJECTNAME)

    utils.ContentInit(
        '%s Content' % PROJECTNAME,
        content_types      = content_types,
        permission         = Permissions.AddExFile,
        extra_constructors = constructors,
        fti                = ftis,
        ).initialize(context)
